#include <stdio.h>
#include <stdlib.h>
#include "c2gnuplot.h" 
#include <math.h>

int main()
{


gnuplot_window Window; //Create a new gnuplot window with name Window

gnuplot_window Window1; //Create a new gnuplot window with name Window

// -------------------- Set parameters of gnuplot session  ------------------------
Window.command("set xrange [0:100]"); 
Window.command("set yrange [0:100]");
Window.command("set size square");
//----------------------------------------------------------------------------------


for(int t=0; t<200; t++)
{
//  Open gnuplot for writing 2D map.
//  The executed gnuplot command is:
//    plot '<incomming_data>' with image
//
//  The option of plot_data function sets the additional settings 
//  to the plot command
//  For example:
//   	Window.plot_data(" notitle with line");
//  Will draw the line plot of data set

//Window.command("set output 'ouput%04d.ppm'",t);

Window.plot_data("w image");  
Window1.splot_data();  


for(int i=0; i<100; i++)
	{
	   for(int j=0; j<100; j++)
		{
		 Window1.data("%d %d %d\n", i, j,  int(10*sin(0.1*(i+j+t))));
		 Window.data("%d %d %d\n", i, j,  int(10*sin(0.1*(i+j+t))));
		/* Writes the data in to the gnuplot session
 		 * Formating of data() command analogous to the printf() command 
 		 */
		/* Write data to the second window */
		}
	}

Window.flush(); //flushing output and draw graph
Window1.flush(); //flushing output and draw graph
usleep(100000); //delay between graphs 


}
return 0;
}
