#include <stdio.h>
#include <stdlib.h>
#include "c2gnuplot.h"
#include <math.h>

#define WALKER_COUNT 50

struct walker{ int x;
	       int y;
	};



int main()
{
int L_x, L_y;
L_x=100; 
L_y=100;
srand48(time(0));

   walker Agent[WALKER_COUNT];
  /*		Setting initial positions of walkters */
  for(int ag=0; ag< WALKER_COUNT; ag++)
		{
		Agent[ag].x = int(drand48()*L_x);
		Agent[ag].y = int(drand48()*L_y);
		}


gnuplot_window Window; //Create a new gnuplot window with name Window

// -------------------- Set parameters of gnuplot session  ------------------------
Window.command("set xrange [0:%d]",L_x); 
Window.command("set yrange [0:%d]",L_x);
//Window.command("set size square");
//Window.command("unset key");
//Window.command(" set  lmargin  0 \n       set bmargin  0\n       set rmargin  0\n       set tmargin 0");

//----------------------------------------------------------------------------------
Window.mpeg_out("video.mpg");

for(int t=0; t<150; t++)
{
//Window.command("set output 'ppm%03d.ppm'",t);
//  Open gnuplot for writing 2D map.
//  The executed gnuplot command is:
//    plot '<incomming_data>' with image
//
//  The option of plot_data function sets the additional settings 
//  to the plot command
//  For example:
//   	Window.plot_data(" notitle with line");
//  Will draw the line plot of data set

for(int i=0; i<1; i++)
	{
	Window.plot_data("w p ps 2 pt %d",5);  
	
	  for(int ag=0; ag< WALKER_COUNT; ag++)
		{
		Agent[ag].x = (Agent[ag].x+ int(3*drand48())-1)%L_x;
		Agent[ag].y = (Agent[ag].y+ int(3*drand48())-1)%L_y;
		}
	  
	for(int ag=0; ag< WALKER_COUNT; ag++)
		{
		 Window.data("%d %d \n", Agent[ag].x, Agent[ag].y);
		/* Writes the data in to the gnuplot session
 		 * Formating of data() command analogous to the printf() command 
 		 */
		}
	Window.flush(); //flushing output and draw graph
	usleep(100000); //delay between graphs 
	}



}
return 0;
}
