//#include <time.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string>
#include <stdarg.h>
int init_start=0;
using namespace std;
#define GNPL_COMM_SIZE 2000
#define tmp_name "/tmp/tmpdataXXXXXXX"

class gnuplot_window{
		public:
		gnuplot_window();
		FILE *pipe;
		FILE *input;
		char gnuplot_fifo[(sizeof tmp_name)];
		void splot();
		void splot_data();
		void splot_data(char *  cmd, ...);
		void plot_data();
		void plot_data(char *  cmd, ...);
		void flush();
		void data(char *  cmd, ...);
		void command(char *  cmd, ...);
	};

void gnuplot_window::data(char *  cmd, ...)
{
    va_list ap ;
    char    local_cmd[GNPL_COMM_SIZE];

    va_start(ap, cmd);
    vsprintf(local_cmd, cmd, ap);
    va_end(ap);

    strcat(local_cmd, "\n");
    fputs(local_cmd, input);
    fflush(input);
}
void gnuplot_window::splot()
{
fprintf(pipe,"splot  '%s' ",gnuplot_fifo);
fprintf(pipe,"\n");
fflush(pipe);
input = fopen(gnuplot_fifo,"w");
}

void gnuplot_window::command(char *  cmd, ...)
{
    va_list ap ;
    char    local_cmd[GNPL_COMM_SIZE];

    va_start(ap, cmd);
    vsprintf(local_cmd, cmd, ap);
    va_end(ap);
     
    strcat(local_cmd, "\n");
    
fprintf(pipe,local_cmd);
fflush(pipe);
}

void gnuplot_window::plot_data()
{
fprintf(pipe,"plot  '%s'\n",gnuplot_fifo);
fflush(pipe);
input = fopen(gnuplot_fifo,"w");
}

void gnuplot_window::splot_data()
{
fprintf(pipe,"splot  '%s'\n",gnuplot_fifo);
fflush(pipe);
input = fopen(gnuplot_fifo,"w");
}

void gnuplot_window::splot_data(char *  cmd, ...)
{
    va_list ap ;
    char    local_cmd[GNPL_COMM_SIZE];

    va_start(ap, cmd);
    vsprintf(local_cmd, cmd, ap);
    va_end(ap);

    strcat(local_cmd, "\n");
    
    
fprintf(pipe,"splot  '%s' %s\n",gnuplot_fifo,local_cmd);
fflush(pipe);
input = fopen(gnuplot_fifo,"w");
}
void gnuplot_window::plot_data(char *  cmd, ...)
{
    va_list ap ;
    char    local_cmd[GNPL_COMM_SIZE];

    va_start(ap, cmd);
    vsprintf(local_cmd, cmd, ap);
    va_end(ap);

    strcat(local_cmd, "\n");
    
    
fprintf(pipe,"plot  '%s' %s\n",gnuplot_fifo,local_cmd);
fflush(pipe);
input = fopen(gnuplot_fifo,"w");
}

void gnuplot_window::flush()
{
fclose(input);
fflush(pipe);
}


gnuplot_window::gnuplot_window()
{
 int fd;
 pipe=popen("/usr/bin/gnuplot ","w");
 setvbuf(pipe, NULL, _IONBF, 0 );
// fprintf(pipe,"unset mouse\n");

 strcpy(gnuplot_fifo,tmp_name);

 if((fd=mkstemp(gnuplot_fifo) ) < 0) { fprintf(stderr,"Creating temporary filename failed\n"); exit(0);}
	 close(fd); remove(gnuplot_fifo);

  if (mkfifo(gnuplot_fifo, S_IRUSR | S_IWUSR ) != 0) {fprintf(stderr,"Make fifo file %s failed\n",gnuplot_fifo); exit(0);}


 fflush(pipe); 
}

void gnuplot_command(gnuplot_window &Window, char inpar[])
{

	fprintf(Window.pipe,"%s\n",inpar);

}


void open_3d_gnuplot(gnuplot_window &Window,char inpar[])
{ 
	fprintf(Window.pipe,"splot '%s' %s",Window.gnuplot_fifo,inpar);
	fprintf(Window.pipe,"\n");
	fflush(Window.pipe); 

}	





